import { BABYLON } from "pi_babylon/render3d/babylon";


//获取配置hsb数据 美术给的 "0,255,180"
export const getHsb = (hsb:string)=>{
    let [ h, s, v ] = hsb.split(",").map(v=>Number(v));
    h = h > 180 ? h - 360 : h;
    return new BABYLON.Color3(h / 360, s/100, v/100);
}