export class Point {
    constructor(public x: number, public y: number) { }

    public addFloats(x: number, y: number): Point {
        return new Point(this.x + x, this.y + y);
    }

    public add(b: Point): Point {
        return new Point(this.x + b.x, this.y + b.y);
    }

    public scaleFloats(x: number, y: number): Point {
        return new Point(this.x / x, this.y / y);
    }

    public scale(b: Point): Point {
        return new Point(this.x / b.x, this.y / b.y);
    }
}
